
! ***** This is level 1 program *****

! This program should require no communication 

      PROGRAM MAIN 
      REAL X(-17:190), Y(-75:221) 
!HPF$ PROCESSORS P(4) 
!HPF$ TEMPLATE TX(-238:3373),TY(-227:3384) 
!HPF$ DISTRIBUTE TX(BLOCK) ONTO P 
!HPF$ DISTRIBUTE TY(BLOCK) ONTO P 
!HPF$ ALIGN X(i) WITH TX(3*i+7) 
!HPF$ ALIGN Y(i) WITH TY(3*i+9) 

      FORALL (i=-17:190) X(i) = 0 
      FORALL (i=-75:221) Y(i) = i 
      FORALL (i=-7:190:4) X(i) = Y(1*i+3) + Y(1*i+3) 

      PRINT 111, (X(i),i=-17,190) 
111   FORMAT(1x,f17.2) 
      END 
!  The parameters in order: 
!  p,lx,ly,ux,uy,l,u,s,d1,d2,ax,ay,a1,a2,ltx,utx,lty,uty,bx,by,b1,b2 
!  4 -17 -75 190 221 -7 190 4 1 1 3 3 1 1 -238 3373 -227 3384 7 9 3 3 


!  Some selected output values for X(i)=-7,190,20:
!      -8    32    72   112   152   192   232   272   312   352
!  
